API / Reference / Bank Accounts
List bank transactions
GET
https://api.light.inc/v1/bank-accounts/{bankAccountId}/bank-transactions
Returns a paginated list of bank transactions for the specified bank account, including the balance
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
bankAccountIdstring · uuidrequired
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
reconciliationStatus,dcSign,date,amount,name,memo. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
reconciliationStatus,dcSign,date. - For
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
offsetinteger · int64deprecatedNumber of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually.
Response
-
totalinteger · int64 -
recordsarray of object-
idstring · uuidUnique identifier for the bank transaction
-
bankAccountIdstring · uuidID of the bank account this transaction belongs to
-
datestring · dateTransaction date
-
amountinteger · int64Transaction amount in minor units (e.g. cents)
-
dcSignstringDebit/credit sign
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DC -
reconciliationStatusstringReconciliation status
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
EXCLUDEDMATCHEDUNMATCHED -
namestringTransaction name / payee
-
memostringTransaction memo / description
-
referencestringTransaction reference
-
transactionIdstringExternal transaction identifier for idempotency
-
createdAtstring · date-timeTimestamp when the transaction was created
-
-
balanceinteger · int64